Skip to main content
PUT
/
crm
/
objects
/
2026-03
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "associationCategory": "HUBSPOT_DEFINED",
    "associationTypeId": 123
  }
]
'
{
  "fromObjectId": "<string>",
  "fromObjectTypeId": "<string>",
  "labels": [
    "<string>"
  ],
  "toObjectId": "<string>",
  "toObjectTypeId": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required
objectType
string
required
toObjectId
string
required
toObjectType
string
required

Body

application/json
associationCategory
enum<string>
required

The category of the association, such as "HUBSPOT_DEFINED".

Available options:
HUBSPOT_DEFINED,
INTEGRATOR_DEFINED,
USER_DEFINED,
WORK
associationTypeId
integer<int32>
required

The ID representing the specific type of association.

Response

successful operation

The relationship descriptors applicable between two object types.

fromObjectId
string
required

Source unique ID of the object.

fromObjectTypeId
string
required

Source object type.

labels
string[]
required
toObjectId
string
required

Target unique ID of the object.

toObjectTypeId
string
required

Target object type.

Last modified on March 30, 2026